using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Default : System.Web.UI.Page 
{

    protected void Page_Load(object sender, EventArgs e)
    {
        RenderForm();
    }

    /// <summary>
    /// Creates the complete page dynamically and writes it to the HTTP output stream.
    /// </summary>
    private void RenderForm()
    {
        //Important: Set Default.aspx as startpage! 
        string sAbsoluteUri = Page.Request.Url.AbsoluteUri.Substring(0, Page.Request.Url.AbsoluteUri.IndexOf("Default.aspx", StringComparison.OrdinalIgnoreCase));
        string sMovieName = "3dstackdev.swf";
        string sMoviePath = sAbsoluteUri + sMovieName;
        string sMovieId = "3dstackdev";
        string sFlashVersion = "9.0.115.0";
        string sWMode = "opaque";
        string sSWFPath = sAbsoluteUri + "swfobject.js";

        string sFlashWidth = "550";
        string sFlashHeight = "300";
        string sFlashBgColor = "#ffffff";

        string sFlashQuality = "high";
        string sFlashScale = "noscale";
        string sFlashMenu = "false";
        string sFlashSAlign = "lt";
        
        //---------------------------------------------------------------------------------
        // Create the page HTML
        //---------------------------------------------------------------------------------
        // Header
        System.Text.StringBuilder oSB = new System.Text.StringBuilder();
        oSB.Append(@"<!-- saved from url=(0014)about:internet -->");
        oSB.Append(@"<html xmlns=""http://www.w3.org/1999/xhtml"" xml:lang=""en"" lang=""en"">");
        oSB.Append("<head>");
        oSB.Append(@"<meta http-equiv=""Content-Type"" content=""text/html; charset=utf-8"" />");
        oSB.Append(@"<title>3DStack</title>");
        oSB.Append(@"<style type=""text/css"">.description {font-family:Verdana; font-size:12px; color:#333333;}</style>");

        oSB.Append(@"<script type=""text/javascript"" src="""); oSB.Append(sSWFPath); oSB.Append(@"""></script>");
        oSB.Append(@"</head>");
        oSB.Append(@"<body>");

        oSB.Append(@"<span class=""description""><strong>C# Sample 2 - Create a 3D Stack dynamically in ASP.NET</strong><br /><br />This example shows how a 3D Stack can be created dynamically in an ASP.NET code behind file (Default.aspx.cs).<br>Control and appearance of the Stack are effected entirely via the XML file 3dstack.xml!</span><br /><br />");

        //This <div> is replaced by the Flash content! (see "SWFObject embed by Geoff Stearns ..." below)
		//Place your alternate content here and users without the Flash plugin 
        //or with Javascript turned off will see this
        oSB.Append(@"<div id=""flashcontent"" >");
        oSB.Append(@"<br /><br /><center><a target=""_blank"" href=""http://www.macromedia.com/go/getflash/"" >");
        oSB.Append(@"<img border=""0"" alt="""" src=""images/getflash.png"" /></a></center>");
        oSB.Append(@"</div>");

        //---------------------------------------------------------------------------------
        // SWFObject embed by Geoff Stearns geoff@deconcept.com http://blog.deconcept.com/swfobject/
        //---------------------------------------------------------------------------------
        //SWFObject 
        oSB.Append(@"<script type=""text/javascript"">");
        oSB.Append(@" var so = new SWFObject(");
        oSB.Append(@""""); oSB.Append(sMovieName);      oSB.Append(@""", ");
        oSB.Append(@""""); oSB.Append(sMovieId);        oSB.Append(@""", ");
        oSB.Append(@""""); oSB.Append(sFlashWidth);     oSB.Append(@""", ");
        oSB.Append(@""""); oSB.Append(sFlashHeight);    oSB.Append(@""", ");
        oSB.Append(@""""); oSB.Append(sFlashVersion);   oSB.Append(@""", ");
        oSB.Append(@""""); oSB.Append(sFlashBgColor);   oSB.Append(@"""");
        oSB.Append(@"); ");

        //Additional Parameters
        oSB.Append(@"so.addParam(""quality"", """); oSB.Append(sFlashQuality);  oSB.Append(@"""); ");
        oSB.Append(@"so.addParam(""scale"", """);   oSB.Append(sFlashScale);    oSB.Append(@"""); ");
        oSB.Append(@"so.addParam(""menu"", """);    oSB.Append(sFlashMenu);     oSB.Append(@"""); ");
        oSB.Append(@"so.addParam(""salign"", """);  oSB.Append(sFlashSAlign);   oSB.Append(@"""); ");
        oSB.Append(@"so.addParam(""wmode"", """);   oSB.Append(sWMode);         oSB.Append(@"""); ");

        //SWFObject write
        oSB.Append(@"so.write(""flashcontent""); ");
        oSB.Append(@"</script>");

        //Close page
        oSB.Append("</body>");
        oSB.Append("</html>");

        ////Save stream to the hard disk for control.
        //System.IO.StreamWriter streamWriter = new System.IO.StreamWriter(@"c:\3dstack.html");
        //streamWriter.Write(oSB.ToString());
        //streamWriter.Close();

        //---------------------------------------------------------------------------------
        // Write the string to the HTTP response output stream
        //---------------------------------------------------------------------------------
        Page.Response.Write(oSB.ToString());
    }
}
